<?php get_header(); ?>

	<div id="primary" class="content-area" style="background: #fff url(<?php echo get_template_directory_uri(); ?>/images/content-bg.jpg)">
		<div class="container">
			<div class="with-background">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title">
							<h1 class="title text-uppercase"><?php the_archive_title(); ?></h1>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<?php $counter = 1; if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
							<?php
								$reverse = '';
								if( $counter % 4 == 3 || $counter % 4 == 0 ) {
									$reverse = 'reverse';
								}

								$classes = "{$reverse} blog-post col-md-6 col-sm-12 col-xs-12";

								$featured_image = get_field('blog_post_featured_image');
								$featured_image_alt = $featured_image ? $featured_image['alt'] : "Nonprofit News post Image";
								$featured_image = $featured_image ? $featured_image['sizes']['post_737x839'] : get_template_directory_uri()."/images/placeholder.png"; 

							?>
							<article id="post-<?php the_ID(); ?>" <?php post_class($classes); ?>>
								<div class="media <?php if(!$featured_image) echo 'no-thumb'; ?> col-md-6 col-sm-6 col-xs-6">
									<a href="<?php the_permalink(); ?>">
										<img src="<?php echo $featured_image; ?>" class="img-responsive" alt="<?php echo $featured_image_alt; ?>">
									</a>
								</div><!-- /media -->

								<div class="entry-content col-md-6 col-sm-6 col-xs-6">
									<span class="date"><?php the_time('d.m.Y'); ?></span>
									<a href="<?php the_permalink(); ?>"><h5><?php the_title(); ?></h5></a>
									<p><?php Limit_Text(get_the_content(), 120); ?></p>
								</div><!-- /entry-content -->
							</article><!-- #post- -->

						<?php $counter++; endwhile; else : ?>
							<div class="no-results not-found">
								<header class="page-header">
									<h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'nonprofit' ); ?></h1>
								</header><!-- .page-header -->
							</div><!-- .no-results -->
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
	</div><!-- #primary -->

<?php get_footer();

