<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="utf-8">
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->

		<?php if (get_field('favicon', 'options')): ?>
        	<link rel="icon" href="<?php the_field('favicon', 'options'); ?>" sizes="32x32">
        <?php endif; ?>

		<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
		<![endif]-->
		<?php wp_head(); ?>
	</head>
	<body <?php body_class(); ?>>
		<header class="header">
			<div class="navbar navbar-default navbar-fixed-top">
			  	<div class="container">
					<div class="navbar-header">
					  	<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
						 	<span class="icon-bar"><span class="inner"></span></span>
						 	<span class="icon-bar"><span class="inner"></span></span>
						 	<span class="icon-bar"><span class="inner"></span></span>
					  	</button>
			
					 	<a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>">
							<?php $logo = get_field('logo', 'options'); if($logo) : ?>
	                            <img src="<?php echo $logo['url']; ?>" class="img-responsive" alt="<?php echo $logo['alt']; ?>">
	                        <?php else: ?>
	                            <img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" class="img-responsive" alt="NonProfit Logo">
	                        <?php endif; ?>
						</a>
					</div>
			
					<div class="collapse navbar-collapse">

					  	<?php wp_nav_menu( 
                            array(
                                'menu'               => 'Primary menu',
                                'theme_location'     => 'menu-1',
                                'depth'              => 2,
                                'container'          => 'false',
                                'menu_class'         => 'nav navbar-nav',
                                'menu_id'            => '',
                                'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
                                'walker'             => new wp_bootstrap_navwalker()
                                ) 
                            ); 
                        ?>

					  	<?php wp_nav_menu( 
                            array(
                                'menu'               => 'Right menu',
                                'theme_location'     => 'menu-2',
                                'depth'              => 2,
                                'container'          => 'false',
                                'menu_class'         => 'nav navbar-nav navbar-right',
                                'menu_id'            => '',
                                'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
                                'walker'             => new wp_bootstrap_navwalker()
                                ) 
                            ); 
                        ?>
			
					</div><!-- /collapse -->
			  	</div><!-- /container-fluid -->
			</div><!--/ Navbar -->

			<?php 
				$banner_enable = get_field('banner_enable');
				$upload_banner = get_field('upload_banner', getPageID());
				$banner_position = get_field('banner_position');
				$site_src = get_template_directory_uri();
				$banner_position = $banner_position ? $banner_position : 'center center';
				$banner = $upload_banner ? "url({$upload_banner}) no-repeat {$banner_position}" : "url({$site_src}/images/header-banner.png) no-repeat center center";

				if ( !is_404() && ( getPageID() == $banner_enable ) ):
			?>
			<div class="entry-header <?php if(is_front_page()) echo 'homepage'; ?>" style="background: <?php echo $banner; ?>"></div>
			<?php endif; ?>
		</header>

		
