<?php get_header(); ?>

	<div id="primary" class="content-area" style="background: #fff url(<?php echo get_template_directory_uri(); ?>/images/content-bg.jpg)">

		<section class="news-content-block">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title text-center">
							<?php $news_title = get_field('news_title', getPageID()); if ($news_title): ?>
								<h1 class="title text-uppercase"><?php echo $news_title; ?></h1>
							<?php else: ?>
								<h1 class="title text-uppercase"><?php single_post_title(); ?></h1>
							<?php endif; ?>

							<?php $news_sub_title = get_field('news_sub_title', getPageID()); if ($news_sub_title): ?>
								<p class="sub-title"><?php echo $news_sub_title; ?></p>
							<?php endif; ?>
						</div>
					</div>
				</div>

				<div class="news">
					<?php $counter = 1; if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
						<?php
							$reverse = '';
							if( $counter % 4 == 3 || $counter % 4 == 0 ) {
								$reverse = 'reverse';
							}

							$classes = "{$reverse} blog-post col-md-6 col-sm-12 col-xs-12";

							$featured_image = get_field('blog_post_featured_image');
							$featured_image_alt = $featured_image ? $featured_image['alt'] : "Nonprofit News post Image";
							$featured_image = $featured_image ? $featured_image['sizes']['post_737x839'] : get_template_directory_uri()."/images/placeholder.png";

						?>
						<article id="post-<?php the_ID(); ?>" <?php post_class($classes); ?>>
							<div class="media <?php if(!$featured_image) echo 'no-thumb'; ?> col-md-6 col-sm-6 col-xs-6">
								<a href="<?php the_permalink(); ?>">
									<img src="<?php echo $featured_image; ?>" class="img-responsive" alt="<?php echo $featured_image_alt; ?>">
								</a>
							</div><!-- /media -->

							<div class="entry-content col-md-6 col-sm-6 col-xs-6">
								<span class="date"><?php the_time('d.m.Y'); ?></span>
								<a href="<?php the_permalink(); ?>"><h5><?php the_title(); ?></h5></a>
								<p><?php Limit_Text(get_the_content(), 132); ?></p>
							</div><!-- /entry-content -->
						</article><!-- #post- -->

					<?php $counter++; endwhile; else : ?>
						<div class="no-results not-found">
							<header class="page-header">
								<h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'nonprofit' ); ?></h1>
							</header><!-- .page-header -->
						</div><!-- .no-results -->
					<?php endif; ?>
				</div>

				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12 text-center">
						<?php nonprofit_pagination(); ?>
					</div>
				</div>
			</div>
		</section><!-- /latest-news -->

	</div><!-- /primary -->

<?php get_footer();
