(function ($) {
	"use strict";

	try{Typekit.load({ async: true });}catch(e){};

	if (ajax.sticky_menu) {
		$(window).scroll(function() {
			if ($(window).scrollTop() > 0) {
				$(".navbar").addClass("sticky");
			} 
			else {
				$(".navbar").removeClass("sticky");
			}
		});
	};
  
  	$(".navbar-toggle").click(function() {
	  	$(this).toggleClass('in');
	});

  	$(".play_video").colorbox({iframe:true, innerWidth:640, innerHeight:390});

	/**
	 * Google map
	 *
	 */
	var map;
	google.maps.event.addDomListener(window, 'load', init);
	
	function init() {

		var google_map_setting = {
			latitude: ajax.gmap_latitude,
			longitude: ajax.gmap_longitude
		};
		
		if (ajax.map_icon) {	
			var image = ajax.map_icon;
		}
		
		
		var mapOptions = {
			zoom: 17,
			disableDefaultUI: true,
			draggable: false,
			scrollwheel: false,
			center: new google.maps.LatLng( google_map_setting.latitude, google_map_setting.longitude),
			styles: [
			{elementType: 'geometry', stylers: [{color: '#E2E2E2'}]},
			{elementType: 'labels.text.stroke', stylers: [{color: '#E2E2E2'}]},
			{elementType: 'labels.text.fill', stylers: [{color: '#B3B3B3'}]},
			{
			  featureType: 'administrative.locality',
			  elementType: 'labels.text.fill',
			  stylers: [{color: '#404040'}]
			},
			{
			  featureType: 'poi',
			  elementType: 'labels.text.fill',
			  stylers: [{color: '#404040'}]
			},
			{
			  featureType: 'poi.park',
			  elementType: 'geometry',
			  stylers: [{color: '#FFFFFF'}]
			},
			{
			  featureType: 'poi.park',
			  elementType: 'labels.text.fill',
			  stylers: [{color: '#FFFFFF'}]
			},
			{
			  featureType: 'road',
			  elementType: 'geometry',
			  stylers: [{color: '#FFFFFF'}]
			},
			{
			  featureType: 'road',
			  elementType: 'geometry.stroke',
			  stylers: [{color: '#FFFFFF'}]
			},
			{
			  featureType: 'road',
			  elementType: 'labels.text.fill',
			  stylers: [{color: '#606060'}]
			},
			{
			  featureType: 'road.highway',
			  elementType: 'geometry',
			  stylers: [{color: '#B3B3B3'}]
			},
			{
			  featureType: 'road.highway',
			  elementType: 'geometry.stroke',
			  stylers: [{color: '#FFFFFF'}]
			},
			{
			  featureType: 'road.highway',
			  elementType: 'labels.text.fill',
			  stylers: [{color: '#414141'}]
			},
			{
			  featureType: 'transit',
			  elementType: 'geometry',
			  stylers: [{color: '#FFFFFF'}]
			},
			{
			  featureType: 'transit.station',
			  elementType: 'labels.text.fill',
			  stylers: [{color: '#404040'}]
			},
			{
			  featureType: 'water',
			  elementType: 'geometry',
			  stylers: [{color: '#D9D9D9'}]
			},
			{
			  featureType: 'water',
			  elementType: 'labels.text.fill',
			  stylers: [{color: '#5F5F5F'}]
			},
			{
			  featureType: 'water',
			  elementType: 'labels.text.stroke',
			  stylers: [{color: '#D9D9D9'}]
			}
		  ]
		};

		var mapElement = document.getElementById('gmap');
		var contentString = ajax.gmap_address;
		var infowindow = new google.maps.InfoWindow({
			content: contentString,
			maxWidth: 200
		});
		

		var map = new google.maps.Map(mapElement, mapOptions);

		var marker = new google.maps.Marker({
			position: new google.maps.LatLng( google_map_setting.latitude, google_map_setting.longitude),
			map: map,
			icon: image,
		});

		google.maps.event.addListener(marker, 'click', function() {
			infowindow.open(map,marker);
		});
	}



}(jQuery));