<?php 

/*
Template Name: About Template
*/

get_header(); ?>

	<div id="primary" class="content-area" style="background: #fff url(<?php echo get_template_directory_uri(); ?>/images/content-bg.jpg)">
		<?php if(get_field('about_enable')): ?>
		<section class="about_us">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title">
							<?php $about_title = get_field('about_title'); if ($about_title): ?>
								<h1 class="title text-uppercase"><?php echo $about_title; ?></h1>
							<?php else: ?>
								<h1 class="title text-uppercase"><?php the_title(); ?></h1>
							<?php endif; ?>

							<?php $about_sub_title = get_field('about_sub_title', getPageID()); if ($about_sub_title): ?>
								<p class="sub-title"><?php echo $about_sub_title; ?></p>
							<?php endif; ?>
						</div>
					</div>
				</div>

				<?php $about_item = get_field('about'); if ($about_item): ?>
				<div class="row">
					<div class="container">
						<?php foreach ($about_item as $about): ?>
						<div class="col-md-6 col-sm-12 col-xs-12 no-padding">
							<div class="service-item">
								<h1 class="title separator"><?php echo $about['title'];  ?></h1>

								<div class="media pull-left">
									<img src="<?php echo $about['image']['url']; ?>" alt="<?php echo $about['image']['alt']; ?>" class="img-responsive">
								</div>
								<div class="content">
									<?php echo $about['content']; ?>
								</div>
							</div>
						</div>
						<?php endforeach; ?>
					</div>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /latest-news -->
		<?php endif; ?>

		<?php 
			if (get_field('team_enable')): 
		?>
		<section class="team">
			<div class="container">
				<?php $team_title = get_field('team_title'); if ($team_title): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title text-center">
							<h1 class="title text-uppercase"><?php echo $team_title; ?></h1>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<?php $team_members = get_field('team_members'); if ($team_members): ?>
				<div class="row">
					<?php foreach ($team_members as $member): ?>
					<div class="col-md-3 col-sm-6 col-xs-12">
						<div class="team-member">
							<div class="media">
								<?php if($member['image']): ?>
									<img src="<?php echo $member['image']['url']; ?>" alt="<?php echo $member['image']['alt']; ?>" class="img-responsive">
								<?php endif; ?>
							</div>

							<div class="content text-center">
								<h4><?php echo $member['name']; ?><span><?php echo $member['position']; ?></span></h4>
							</div>
						</div>
					</div>
					<?php endforeach; ?>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /tema -->
		<?php endif; ?>

	</div><!-- /primary -->

<?php get_footer();
