<?php 

/*
Template Name: Contact Template
*/

get_header(); ?>
	<div id="primary" class="content-area" style="background: #fff url(<?php echo get_template_directory_uri(); ?>/images/content-bg.jpg)">

		<section class="contact">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title text-center">
							<?php $contact_title = get_field('contact_title'); if ($contact_title): ?>
								<h1 class="title text-uppercase"><?php echo $contact_title; ?></h1>
							<?php else: ?>
								<h1 class="title text-uppercase"><?php the_title(); ?></h1>
							<?php endif; ?>
							
							<?php $contact_sub_tilte = get_field('contact_sub_tilte'); if ($contact_sub_tilte): ?>
								<p class="sub-title"><?php echo $contact_sub_tilte; ?></p>
							<?php endif; ?>
						</div>
					</div>
				</div>

				<div class="row contact-us">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="background" style="background: url('<?php echo get_template_directory_uri(); ?>/images/contact-bg.png');">
							<?php if(get_field('enable_google_map')): ?>
								<div class="col-md-7 col-sm-7 col-xs-12">
									<div id="gmap"></div>
								</div>
							<?php endif; ?>

							<div class="col-md-5 col-sm-5 col-xs-12">
								<div class="contact-form">
									<?php if (get_field('quick_title')): ?>
										<h1 class="title text-uppercase"><?php the_field('quick_title'); ?></h1>
									<?php else: ?>
										<h1 class="title text-uppercase"><?php _e('Contact US', 'nonprofit'); ?></h1>
									<?php endif; ?>

									<?php
										$address = get_field('address', 'options');
										$phone_number = get_field('phone', 'options');

										if($address || $phone_number):
									?>
									<ul class="quick-contact">
										<?php if ($address): ?>
											<li>
												<div class="icon pull-left">
													<i class="icon-location"></i>
												</div>
												<a href="<?php echo $address['google_map_url']; ?>" target="_blank"><?php echo $address['address']; ?></a>
											</li>
										<?php endif; ?>

										<?php if ($phone_number): ?>
											<li>
												<div class="icon pull-left">
													<i class="icon-phone"></i>
												</div>
												<a href="tel:<?php echo $phone_number; ?>"><?php echo $phone_number; ?></a>
											</li>
										<?php endif; ?>
									</ul>
									<?php endif; ?>

									<?php $contact_id = get_field('gravity_form_id'); if ($contact_id): ?>
										<?php echo do_shortcode('[gravityform id="'.$contact_id.'" title="false" description="false" tabindex="10" ajax="true"]'); ?>
									<?php endif; ?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section><!-- /latest-news -->

	</div><!-- /primary -->
<?php get_footer(); ?>