<?php 
/*
Template Name: Donate Template
*/ 
get_header(); ?>
	<div id="primary" class="content-area" style="background: #fff url(<?php echo get_template_directory_uri(); ?>/images/content-bg.jpg)">
		<div class="container">
			<div class="with-background">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title">
							<?php if (get_field('help_title')): ?>
								<h1 class="title text-uppercase"><?php the_field('help_title'); ?></h1>
							<?php else: ?>
								<h1 class="title text-uppercase"><?php the_title(); ?></h1>
							<?php endif; ?>

							<?php if (get_field('help_sub_title')): ?>
								<p class="sub-title"><?php the_field('help_sub_title'); ?></p>
							<?php endif; ?>
						</div>

						<?php $how_help = get_field('how_help'); if ($how_help): ?>
						<ul class="help-steps list-unstyled">
							<?php foreach ($how_help as $setp): ?>
								<li class="text-uppercase"><i class="<?php echo $setp['icon'] ?>"></i><?php echo $setp['text']; ?></li>
							<?php endforeach; ?>
						</ul>
						<?php endif; ?>
					</div>
				</div>

				<?php if (get_field('why_support_enable')): ?>
				<div class="row why-support">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<?php if (get_field('why_support_title')): ?>
							<h3 class="title text-uppercase"><?php the_field('why_support_title'); ?></h3>
						<?php endif; ?>

						<?php $why_support = get_field('why_support'); if ($why_support): ?>
						<ul class="help-steps">
							<?php foreach ($why_support as $support): ?>
								<li><?php echo $support['text']; ?></li>
							<?php endforeach; ?>
						</ul>
						<?php endif; ?>
					</div>
				</div>
				<?php endif; ?>

				<?php $options = get_field('options'); if ($options): ?>
				<div class="row options why-support">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<?php foreach ($options as $option) : ?>
							<?php if ($option['title']): ?>
								<h3 class="title text-uppercase"><?php echo $option['title']; ?></h3>
							<?php endif ?>

							<?php if ($option['content']): ?>
								<?php echo $option['content']; ?>
							<?php endif; ?>

							<?php if ($option['button']): ?>
								<a href="<?php echo $option['button']['url']; ?>" class="btn"><?php echo $option['button']['title']; ?></a>
							<?php endif; ?>
						<?php endforeach; ?>
					</div>
				</div>
				<?php endif; ?>

			</div>
		</div>
	</div><!-- /primary -->
<?php get_footer(); ?>