<?php 

/*
Template Name: Homepage Template
*/

get_header(); ?>
	<div id="primary" class="content-area" style="background: #fff url(<?php echo get_template_directory_uri(); ?>/images/content-bg.jpg)">
		
		<?php $welcome = get_field('welcome'); if ($welcome): ?>
		<section class="wellcome-content-block">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="content text-center">
							<h3 class="text-uppercase"><?php echo $welcome; ?></h3>
						</div>
					</div>
				</div>
			</div>
		</section><!-- /wellcome -->
		<?php endif; ?>

		<?php if (get_field('about_enable')): ?>
		<section class="about_content_block">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title text-center">
							<?php if (get_field('about_title')): ?>
								<h1 class="title text-uppercase"><?php the_field('about_title'); ?></h1>
							<?php endif; ?>

							<?php if (get_field('about_sub_title')): ?>
								<p class="sub-title"><?php the_field('about_sub_title'); ?></p>
							<?php endif; ?>

							<?php if (get_field('about_title') || get_field('about_sub_title')): ?>
								<span class="separator"></span>
							<?php endif; ?>
						</div>
					</div>
				</div>

				<?php $services = get_field('services'); $counter = 1; if($services): ?>
				<div class="row">
					<?php foreach ($services as $service): ?>
						<div class="col-md-6 col-sm-12 col-xs-12">
							<div class="service-item item-<?php echo $counter; ?>">
								<div class="media pull-left">
									<?php if ($service['image']): ?>
										<img src="<?php echo $service['image']['url']; ?>" class="img-responsive" alt="<?php $service['image']['alt']; ?>">
									<?php else: ?>										
										<img src="<?php echo get_template_directory_uri(); ?>/images/placeholder.png" class="img-responsive" alt="Placeholder">
									<?php endif; ?>
								</div>

								<div class="content">
									<h3 class="title title-style"><?php echo $service['title']; ?></h3>

									<style type="text/css">.service-item.item-<?php echo $counter; ?> .title-style:before{background: <?php echo $service['color']; ?>}</style>
									<?php echo $service['content']; ?>
								</div>
							</div>
						</div><!-- /service-item -->
					<?php $counter++; endforeach; ?>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /about -->
		<?php endif; ?>

		<?php 
			if (get_field('help_enable')): 
		?>
		<section class="help_content_block">
			<div class="container">
				<div class="row">
					<div class="col-md-6 col-sm-12 col-xs-12">
						<?php if (get_field('help_title')): ?>
							<h1 class="hero text-uppercase"><?php the_field('help_title'); ?></h1>
						<?php endif; ?>

						<?php $help_setps = get_field('help_setps'); if ($help_setps): ?>
						<ul class="help-steps list-unstyled">
							<?php foreach ($help_setps as $setp): ?>
								<li>
									<div class="icon pull-left">
										<i class="<?php echo $setp['icon'] ?>"></i>
									</div>
									<div class="content"><?php echo $setp['step']; ?></div>
								</li>
							<?php endforeach; ?>
						</ul>
						<?php endif; ?>
					</div>

					<?php 
						$help_video = get_field('help_video');
						preg_match('/src="([^"]+)"/', $help_video['link'], $match);
						$url = $match[1] ? $match[1] : '#';
						if ($help_video):
						?>
					<div class="col-md-6 col-sm-12 col-xs-12">
						<div class="video">
							<a href="<?php echo $url; ?>" class="play_video"><img src="<?php echo $help_video['video_cover']; ?>" class="img-responsive" alt="Video Cover"></a>

							<a href="<?php echo $url; ?>" class="play-icon play_video"><img src="<?php echo get_template_directory_uri(); ?>/images/icon-play.png"></a>
						</div>
					</div>
					<?php endif; ?>
				</div>
			</div>
		</section><!-- /help -->
		<?php endif; ?>

		<?php if (get_field('latest_news_enable')): ?>
		<section class="latest-news">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title text-center">
							<?php if (get_field('latest_news_title')): ?>
								<h1 class="title text-uppercase"><?php the_field('latest_news_title'); ?></h1>
							<?php endif; ?>

							<?php if (get_field('latest_news_sub_title')): ?>
							<p class="sub-title"><?php the_field('latest_news_sub_title'); ?></p>
							<?php endif; ?>
						</div>
					</div>
				</div>

				<?php $number_post = get_field('number_of_post'); if ($number_post): ?>
					<div class="news">
						<?php 
							$counter = 1;
							$query_args = array(
							    "posts_per_page" => $number_post
							);
							$latest_news = new WP_Query($query_args);

							if ( $latest_news->have_posts() ) : 
								while ( $latest_news->have_posts() ) : $latest_news->the_post(); ?>
							<?php
								$reverse = '';
								if( $counter % 4 == 3 || $counter % 4 == 0 ) {
									$reverse = 'reverse';
								}

								$classes = "{$reverse} blog-post col-md-6 col-sm-12 col-xs-12";

								$featured_image = get_field('blog_post_featured_image');
								$featured_image_alt = $featured_image ? $featured_image['alt'] : "Nonprofit News post Image";
								$featured_image = $featured_image ? $featured_image['sizes']['post_737x839'] : get_template_directory_uri()."/images/placeholder.png"; 

							?>
							<article id="post-<?php the_ID(); ?>" <?php post_class($classes); ?>>
								<div class="media <?php if(!$featured_image) echo 'no-thumb'; ?> col-md-6 col-sm-6 col-xs-6">
									<a href="<?php the_permalink(); ?>">
										<img src="<?php echo $featured_image; ?>" class="img-responsive" alt="<?php echo $featured_image_alt; ?>">
									</a>
								</div><!-- /media -->

								<div class="entry-content col-md-6 col-sm-6 col-xs-6">
									<span class="date"><?php the_time('d.m.Y'); ?></span>
									<a href="<?php the_permalink(); ?>"><h5><?php the_title(); ?></h5></a>
									<p><?php Limit_Text(get_the_content(), 132); ?></p>
								</div><!-- /entry-content -->
							</article><!-- #post- -->

						<?php $counter++; endwhile; else : ?>
							<div class="no-results not-found">
								<header class="page-header">
									<h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'nonprofit' ); ?></h1>
								</header><!-- .page-header -->
							</div><!-- .no-results -->
						<?php endif; ?>
					</div>
				<?php endif; ?>
			</div>
		</section><!-- /latest-news -->
		<?php endif; ?>

	</div><!-- /primary -->
<?php get_footer(); ?>