<?php 
/*
Template Name: Programs Template
*/ 
get_header(); ?>
	<div id="primary" class="content-area" style="background: #fff url(<?php echo get_template_directory_uri(); ?>/images/content-bg.jpg)">
		<div class="container">
			<div class="with-background">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title">
							<?php if (get_field('programs_title')): ?>
								<h1 class="title text-uppercase"><?php the_field('programs_title'); ?></h1>
							<?php else: ?>
								<h1 class="title text-uppercase"><?php the_title(); ?></h1>
							<?php endif; ?>

							<?php if (get_field('programs_sub_title')): ?>
								<p class="sub-title"><?php the_field('programs_sub_title'); ?></p>
							<?php endif; ?>
						</div>
					</div>
				</div>

				<?php if (get_field('philosophy_enable')): ?>
				<div class="row philosophy">
					<div class="content col-md-9 col-sm-8 col-xs-12">
						<?php if (get_field('philosophy_title')): ?>
							<h3 class="title text-uppercase"><?php the_field('philosophy_title'); ?></h3>
						<?php else: ?>
							<h3 class="title text-uppercase"><?php _e('Our Philosophy:', 'nonprofit'); ?></h3>
						<?php endif; ?>

						<?php if (get_field('philosophy_content')): ?>
							<?php the_field('philosophy_content'); ?>
						<?php endif ?>
					</div>

					<?php $philosophy_image = get_field('philosophy_image'); if ($philosophy_image): ?>
						<div class="media col-md-3 col-sm-4 col-xs-12">
							<img src="<?php echo $philosophy_image['url']; ?>" alt="<?php echo $philosophy_image['alt']; ?>" class="img-responsive img-circle">
						</div>
					<?php endif; ?>
				</div>
				<?php endif; ?>

				<?php if (get_field('value_enable')): if(get_field('value_title')): ?>
					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="section-title">
								<h1 class="title text-uppercase"><?php the_field('value_title'); ?></h1>
							</div>
						</div>
					</div>
				<?php endif; ?>

				<?php $we_values = get_field('we_values'); $counter = 1; if ($we_values): ?>
				<div class="row">
					<?php foreach ($we_values as $value): ?>
						<div class="col-md-6 col-sm-12 col-xs-12">
							<div class="value-item item-<?php echo $counter; ?>">
								<div class="content">
									<h3 class="title title-style"><?php echo $value['title']; ?></h3>
									<style type="text/css">.value-item.item-<?php echo $counter; ?> .title-style:before{background: <?php echo $value['title_color']; ?>}</style>
									<?php echo $value['content']; ?>
								</div>
							</div>
						</div><!-- /value-item -->
					<?php $counter++; endforeach; ?>
				</div>
				<?php endif; endif; ?>
			</div>
		</div>
	</div><!-- /primary -->
<?php get_footer(); ?>